$(document).ready(function () {

	if ( VERBOSE ) { console.log("ofensachen.js loading ..."); }
	
	// hier werden alle Element-IDs der fehlerhaften TXLCodes gespeichert,
	// die bei ihrer Bereinigung wieder entfernt werden.
	var fehlerhafteInputfelder = [];

	// $("#btnTestingKF480").on("click", function () { eingetragen = insertIntoForm(DB.loadLetzteBeladungNEW("KF480"), "KF480"); console.log(eingetragen + " Bauteile aus der DB geholt");});
	// $("#btnTestingKF80S").on("click", function () { eingetragen = insertIntoForm(DB.loadLetzteBeladungNEW("KF80S"), "KF80S"); console.log(eingetragen + " Bauteile aus der DB geholt"); });
	// $("#btnTestingKF80").on("click", function () { eingetragen = insertIntoForm(DB.loadLetzteBeladungNEW("KF80"), "KF80"); console.log(eingetragen + " Bauteile aus der DB geholt"); });

	function errorBeladung(message) {
		swal({ title: 'Fehler', text: message, type: 'error', showCancelButton: false, confirmButtonColor: '#d33', cancelButtonColor: '#d33', confirmButtonText: 'Ok' });
	}

	function insertIntoForm(JSON, ofenname) {

		var cnt = 0;
		var arr = $.parseJSON(JSON);
		if (arr[1] != "-")  {tmparr =  arr[1].split("-");$("#tbE01" + ofenname).val(helper.getNextPart(tmparr[0])); $("#SON01" + ofenname).val(tmparr[1]); $("#KommE01" + ofenname).val(tmparr[2]); cnt += 1;}
		if (arr[2] != "-")  {tmparr =  arr[2].split("-");$("#tbE02" + ofenname).val(helper.getNextPart(tmparr[0])); $("#SON02" + ofenname).val(tmparr[1]); $("#KommE02" + ofenname).val(tmparr[2]); cnt += 1;}
		if (arr[3] != "-")  {tmparr =  arr[3].split("-");$("#tbE03" + ofenname).val(helper.getNextPart(tmparr[0])); $("#SON03" + ofenname).val(tmparr[1]); $("#KommE03" + ofenname).val(tmparr[2]); cnt += 1;}
		if (arr[4] != "-")  {tmparr =  arr[4].split("-");$("#tbE04" + ofenname).val(helper.getNextPart(tmparr[0])); $("#SON04" + ofenname).val(tmparr[1]); $("#KommE04" + ofenname).val(tmparr[2]); cnt += 1;}
		if (arr[5] != "-")  {tmparr =  arr[5].split("-");$("#tbE05" + ofenname).val(helper.getNextPart(tmparr[0])); $("#SON05" + ofenname).val(tmparr[1]); $("#KommE05" + ofenname).val(tmparr[2]); cnt += 1;}
		if (arr[6] != "-")  {tmparr =  arr[6].split("-");$("#tbE06" + ofenname).val(helper.getNextPart(tmparr[0])); $("#SON06" + ofenname).val(tmparr[1]); $("#KommE06" + ofenname).val(tmparr[2]); cnt += 1;}
		if (arr[7] != "-")  {tmparr =  arr[7].split("-");$("#tbE07" + ofenname).val(helper.getNextPart(tmparr[0])); $("#SON07" + ofenname).val(tmparr[1]); $("#KommE07" + ofenname).val(tmparr[2]); cnt += 1;}
		if (arr[8] != "-")  {tmparr =  arr[8].split("-");$("#tbE08" + ofenname).val(helper.getNextPart(tmparr[0])); $("#SON08" + ofenname).val(tmparr[1]); $("#KommE08" + ofenname).val(tmparr[2]); cnt += 1;}
		if (arr[9] != "-")  {tmparr =  arr[9].split("-");$("#tbE09" + ofenname).val(helper.getNextPart(tmparr[0])); $("#SON09" + ofenname).val(tmparr[1]); $("#KommE09" + ofenname).val(tmparr[2]); cnt += 1;}
		if (arr[10] != "-") {tmparr = arr[10].split("-");$("#tbE10" + ofenname).val(helper.getNextPart(tmparr[0])); $("#SON10" + ofenname).val(tmparr[1]); $("#KommE10" + ofenname).val(tmparr[2]); cnt += 1;}
		if ( ofenname === "KF480" ) {
			if (arr[11] != "-") {tmparr = arr[11].split("-");$("#tbE11" + ofenname).val(helper.getNextPart(tmparr[0])); $("#SON11" + ofenname).val(tmparr[1]); $("#KommE11" + ofenname).val(tmparr[2]); cnt += 1;}
			if (arr[12] != "-") {tmparr = arr[12].split("-");$("#tbE12" + ofenname).val(helper.getNextPart(tmparr[0])); $("#SON12" + ofenname).val(tmparr[1]); $("#KommE12" + ofenname).val(tmparr[2]); cnt += 1;}
			if (arr[13] != "-") {tmparr = arr[13].split("-");$("#tbE13" + ofenname).val(helper.getNextPart(tmparr[0])); $("#SON13" + ofenname).val(tmparr[1]); $("#KommE13" + ofenname).val(tmparr[2]); cnt += 1;}
			if (arr[14] != "-") {tmparr = arr[14].split("-");$("#tbE14" + ofenname).val(helper.getNextPart(tmparr[0])); $("#SON14" + ofenname).val(tmparr[1]); $("#KommE14" + ofenname).val(tmparr[2]); cnt += 1;}
			if (arr[15] != "-") {tmparr = arr[15].split("-");$("#tbE15" + ofenname).val(helper.getNextPart(tmparr[0])); $("#SON15" + ofenname).val(tmparr[1]); $("#KommE15" + ofenname).val(tmparr[2]); cnt += 1;}
			if (arr[16] != "-") {tmparr = arr[16].split("-");$("#tbE16" + ofenname).val(helper.getNextPart(tmparr[0])); $("#SON16" + ofenname).val(tmparr[1]); $("#KommE16" + ofenname).val(tmparr[2]); cnt += 1;}
			if (arr[17] != "-") {tmparr = arr[17].split("-");$("#tbE17" + ofenname).val(helper.getNextPart(tmparr[0])); $("#SON17" + ofenname).val(tmparr[1]); $("#KommE17" + ofenname).val(tmparr[2]); cnt += 1;}
			if (arr[18] != "-") {tmparr = arr[18].split("-");$("#tbE18" + ofenname).val(helper.getNextPart(tmparr[0])); $("#SON18" + ofenname).val(tmparr[1]); $("#KommE18" + ofenname).val(tmparr[2]); cnt += 1;}
			if (arr[19] != "-") {tmparr = arr[19].split("-");$("#tbE19" + ofenname).val(helper.getNextPart(tmparr[0])); $("#SON19" + ofenname).val(tmparr[1]); $("#KommE19" + ofenname).val(tmparr[2]); cnt += 1;}
			if (arr[20] != "-") {tmparr = arr[20].split("-");$("#tbE20" + ofenname).val(helper.getNextPart(tmparr[0])); $("#SON20" + ofenname).val(tmparr[1]); $("#KommE20" + ofenname).val(tmparr[2]); cnt += 1;}
		}
		return cnt;
	}

	function insertBeladung(ofenBezeichner) {

		var rVal = 1;
		var fehlendeSON = 0;
		var fehlerhafteCodes = 0;
		var eingetrageneTeile = 0;
		var falscherTypImOfen = false;
		myJSON = new Object();
		myJSON = $('form').serializeObject(); 
		if ( ofenBezeichner === "KF480") {
			
			if (myJSON.tbE01KF480 !== "") { 
				eingetrageneTeile += 1; 
				
				if (helper.looksLikeTXLCode(myJSON.tbE01KF480) === 0) { 
					if ( myJSON.tbE01KF480.substring(0,3) === "GA1" ) { 
						errorBeladung("2121 im Grossen?");
						fehlerhafteCodes += 1; 
						falscherTypImOfen = true; 
					}
				} else { 
					fehlerhafteCodes += 1;
				}	
				if (myJSON.SON01KF480 === "") { 
					fehlendeSON += 1; 
				} 
			}

			if (myJSON.tbE02KF480 !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE02KF480) === 0) { if ( myJSON.tbE02KF480.substring(0,3) === "GA1" ) { errorBeladung("2121 im Grossen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; }} else { fehlerhafteCodes += 1;} if (myJSON.SON02KF480 === "") { fehlendeSON += 1; } }
			if (myJSON.tbE03KF480 !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE03KF480) === 0) { if ( myJSON.tbE03KF480.substring(0,3) === "GA1" ) { errorBeladung("2121 im Grossen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; }} else { fehlerhafteCodes += 1;} if (myJSON.SON03KF480 === "") { fehlendeSON += 1; } }
			if (myJSON.tbE04KF480 !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE04KF480) === 0) { if ( myJSON.tbE04KF480.substring(0,3) === "GA1" ) { errorBeladung("2121 im Grossen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; }} else { fehlerhafteCodes += 1;} if (myJSON.SON04KF480 === "") { fehlendeSON += 1; } }
			if (myJSON.tbE05KF480 !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE05KF480) === 0) { if ( myJSON.tbE05KF480.substring(0,3) === "GA1" ) { errorBeladung("2121 im Grossen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; }} else { fehlerhafteCodes += 1;} if (myJSON.SON05KF480 === "") { fehlendeSON += 1; } }
			if (myJSON.tbE06KF480 !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE06KF480) === 0) { if ( myJSON.tbE06KF480.substring(0,3) === "GA1" ) { errorBeladung("2121 im Grossen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; }} else { fehlerhafteCodes += 1;} if (myJSON.SON06KF480 === "") { fehlendeSON += 1; } }
			if (myJSON.tbE07KF480 !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE07KF480) === 0) { if ( myJSON.tbE07KF480.substring(0,3) === "GA1" ) { errorBeladung("2121 im Grossen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; }} else { fehlerhafteCodes += 1;} if (myJSON.SON07KF480 === "") { fehlendeSON += 1; } }
			if (myJSON.tbE08KF480 !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE08KF480) === 0) { if ( myJSON.tbE08KF480.substring(0,3) === "GA1" ) { errorBeladung("2121 im Grossen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; }} else { fehlerhafteCodes += 1;} if (myJSON.SON08KF480 === "") { fehlendeSON += 1; } }
			if (myJSON.tbE09KF480 !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE09KF480) === 0) { if ( myJSON.tbE09KF480.substring(0,3) === "GA1" ) { errorBeladung("2121 im Grossen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; }} else { fehlerhafteCodes += 1;} if (myJSON.SON09KF480 === "") { fehlendeSON += 1; } }
			if (myJSON.tbE10KF480 !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE10KF480) === 0) { if ( myJSON.tbE10KF480.substring(0,3) === "GA1" ) { errorBeladung("2121 im Grossen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; }} else { fehlerhafteCodes += 1;} if (myJSON.SON10KF480 === "") { fehlendeSON += 1; } }
			if (myJSON.tbE11KF480 !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE11KF480) === 0) { if ( myJSON.tbE11KF480.substring(0,3) === "GA1" ) { errorBeladung("2121 im Grossen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; }} else { fehlerhafteCodes += 1;} if (myJSON.SON11KF480 === "") { fehlendeSON += 1; } }
			if (myJSON.tbE12KF480 !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE12KF480) === 0) { if ( myJSON.tbE12KF480.substring(0,3) === "GA1" ) { errorBeladung("2121 im Grossen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; }} else { fehlerhafteCodes += 1;} if (myJSON.SON12KF480 === "") { fehlendeSON += 1; } }
			if (myJSON.tbE13KF480 !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE13KF480) === 0) { if ( myJSON.tbE13KF480.substring(0,3) === "GA1" ) { errorBeladung("2121 im Grossen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; }} else { fehlerhafteCodes += 1;} if (myJSON.SON13KF480 === "") { fehlendeSON += 1; } }
			if (myJSON.tbE14KF480 !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE14KF480) === 0) { if ( myJSON.tbE14KF480.substring(0,3) === "GA1" ) { errorBeladung("2121 im Grossen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; }} else { fehlerhafteCodes += 1;} if (myJSON.SON14KF480 === "") { fehlendeSON += 1; } }
			if (myJSON.tbE15KF480 !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE15KF480) === 0) { if ( myJSON.tbE15KF480.substring(0,3) === "GA1" ) { errorBeladung("2121 im Grossen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; }} else { fehlerhafteCodes += 1;} if (myJSON.SON15KF480 === "") { fehlendeSON += 1; } }
			if (myJSON.tbE16KF480 !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE16KF480) === 0) { if ( myJSON.tbE16KF480.substring(0,3) === "GA1" ) { errorBeladung("2121 im Grossen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; }} else { fehlerhafteCodes += 1;} if (myJSON.SON16KF480 === "") { fehlendeSON += 1; } }
			if (myJSON.tbE17KF480 !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE17KF480) === 0) { if ( myJSON.tbE17KF480.substring(0,3) === "GA1" ) { errorBeladung("2121 im Grossen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; }} else { fehlerhafteCodes += 1;} if (myJSON.SON17KF480 === "") { fehlendeSON += 1; } }
			if (myJSON.tbE18KF480 !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE18KF480) === 0) { if ( myJSON.tbE18KF480.substring(0,3) === "GA1" ) { errorBeladung("2121 im Grossen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; }} else { fehlerhafteCodes += 1;} if (myJSON.SON18KF480 === "") { fehlendeSON += 1; } }
			if (myJSON.tbE19KF480 !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE19KF480) === 0) { if ( myJSON.tbE19KF480.substring(0,3) === "GA1" ) { errorBeladung("2121 im Grossen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; }} else { fehlerhafteCodes += 1;} if (myJSON.SON19KF480 === "") { fehlendeSON += 1; } }
			if (myJSON.tbE20KF480 !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE20KF480) === 0) { if ( myJSON.tbE20KF480.substring(0,3) === "GA1" ) { errorBeladung("2121 im Grossen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; }} else { fehlerhafteCodes += 1;} if (myJSON.SON20KF480 === "") { fehlendeSON += 1; } }
		} else if ( ofenBezeichner === "KF80") {
			if (myJSON.tbE01KF80 !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE01KF80) === 0) { if ( myJSON.tbE01KF80.substring(0,3) === "GW1" ) { errorBeladung("3040 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } if ( myJSON.tbE01KF80.substring(0,3) === "GX1" ) { errorBeladung("3030 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } } if (myJSON.SON01KF80 === "") { fehlendeSON += 1; } }
			if (myJSON.tbE02KF80 !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE02KF80) === 0) { if ( myJSON.tbE02KF80.substring(0,3) === "GW1" ) { errorBeladung("3040 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } if ( myJSON.tbE02KF80.substring(0,3) === "GX1" ) { errorBeladung("3030 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } } if (myJSON.SON02KF80 === "") { fehlendeSON += 1; } }
			if (myJSON.tbE03KF80 !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE03KF80) === 0) { if ( myJSON.tbE03KF80.substring(0,3) === "GW1" ) { errorBeladung("3040 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } if ( myJSON.tbE03KF80.substring(0,3) === "GX1" ) { errorBeladung("3030 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } } if (myJSON.SON03KF80 === "") { fehlendeSON += 1; } }
			if (myJSON.tbE04KF80 !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE04KF80) === 0) { if ( myJSON.tbE04KF80.substring(0,3) === "GW1" ) { errorBeladung("3040 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } if ( myJSON.tbE04KF80.substring(0,3) === "GX1" ) { errorBeladung("3030 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } } if (myJSON.SON04KF80 === "") { fehlendeSON += 1; } }
			if (myJSON.tbE05KF80 !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE05KF80) === 0) { if ( myJSON.tbE05KF80.substring(0,3) === "GW1" ) { errorBeladung("3040 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } if ( myJSON.tbE05KF80.substring(0,3) === "GX1" ) { errorBeladung("3030 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } } if (myJSON.SON05KF80 === "") { fehlendeSON += 1; } }
			if (myJSON.tbE06KF80 !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE06KF80) === 0) { if ( myJSON.tbE06KF80.substring(0,3) === "GW1" ) { errorBeladung("3040 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } if ( myJSON.tbE06KF80.substring(0,3) === "GX1" ) { errorBeladung("3030 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } } if (myJSON.SON06KF80 === "") { fehlendeSON += 1; } }
			if (myJSON.tbE07KF80 !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE07KF80) === 0) { if ( myJSON.tbE07KF80.substring(0,3) === "GW1" ) { errorBeladung("3040 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } if ( myJSON.tbE07KF80.substring(0,3) === "GX1" ) { errorBeladung("3030 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } } if (myJSON.SON07KF80 === "") { fehlendeSON += 1; } }
			if (myJSON.tbE08KF80 !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE08KF80) === 0) { if ( myJSON.tbE08KF80.substring(0,3) === "GW1" ) { errorBeladung("3040 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } if ( myJSON.tbE08KF80.substring(0,3) === "GX1" ) { errorBeladung("3030 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } } if (myJSON.SON08KF80 === "") { fehlendeSON += 1; } }
			if (myJSON.tbE09KF80 !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE09KF80) === 0) { if ( myJSON.tbE09KF80.substring(0,3) === "GW1" ) { errorBeladung("3040 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } if ( myJSON.tbE09KF80.substring(0,3) === "GX1" ) { errorBeladung("3030 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } } if (myJSON.SON09KF80 === "") { fehlendeSON += 1; } }
			if (myJSON.tbE10KF80 !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE10KF80) === 0) { if ( myJSON.tbE10KF80.substring(0,3) === "GW1" ) { errorBeladung("3040 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } if ( myJSON.tbE10KF80.substring(0,3) === "GX1" ) { errorBeladung("3030 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } } if (myJSON.SON10KF80 === "") { fehlendeSON += 1; } }
		} else if ( ofenBezeichner === "KF80S") {
			if (myJSON.tbE01KF80S !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE01KF80S) > 0) { if ( myJSON.tbE01KF80S.substring(0,3) === "GW1" ) { errorBeladung("3040 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } if ( myJSON.tbE01KF80S.substring(0,3) === "GX1" ) { errorBeladung("3030 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } } if (myJSON.SON01KF80S === "") { fehlendeSON += 1; } }
			if (myJSON.tbE02KF80S !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE02KF80S) > 0) { if ( myJSON.tbE01KF80S.substring(0,3) === "GW1" ) { errorBeladung("3040 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } if ( myJSON.tbE01KF80S.substring(0,3) === "GX1" ) { errorBeladung("3030 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } } if (myJSON.SON02KF80S === "") { fehlendeSON += 1; } }
			if (myJSON.tbE03KF80S !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE03KF80S) > 0) { if ( myJSON.tbE01KF80S.substring(0,3) === "GW1" ) { errorBeladung("3040 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } if ( myJSON.tbE01KF80S.substring(0,3) === "GX1" ) { errorBeladung("3030 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } } if (myJSON.SON03KF80S === "") { fehlendeSON += 1; } }
			if (myJSON.tbE04KF80S !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE04KF80S) > 0) { if ( myJSON.tbE01KF80S.substring(0,3) === "GW1" ) { errorBeladung("3040 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } if ( myJSON.tbE01KF80S.substring(0,3) === "GX1" ) { errorBeladung("3030 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } } if (myJSON.SON04KF80S === "") { fehlendeSON += 1; } }
			if (myJSON.tbE05KF80S !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE05KF80S) > 0) { if ( myJSON.tbE01KF80S.substring(0,3) === "GW1" ) { errorBeladung("3040 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } if ( myJSON.tbE01KF80S.substring(0,3) === "GX1" ) { errorBeladung("3030 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } } if (myJSON.SON05KF80S === "") { fehlendeSON += 1; } }
			if (myJSON.tbE06KF80S !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE06KF80S) > 0) { if ( myJSON.tbE01KF80S.substring(0,3) === "GW1" ) { errorBeladung("3040 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } if ( myJSON.tbE01KF80S.substring(0,3) === "GX1" ) { errorBeladung("3030 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } } if (myJSON.SON06KF80S === "") { fehlendeSON += 1; } }
			if (myJSON.tbE07KF80S !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE07KF80S) > 0) { if ( myJSON.tbE01KF80S.substring(0,3) === "GW1" ) { errorBeladung("3040 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } if ( myJSON.tbE01KF80S.substring(0,3) === "GX1" ) { errorBeladung("3030 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } } if (myJSON.SON07KF80S === "") { fehlendeSON += 1; } }
			if (myJSON.tbE08KF80S !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE08KF80S) > 0) { if ( myJSON.tbE01KF80S.substring(0,3) === "GW1" ) { errorBeladung("3040 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } if ( myJSON.tbE01KF80S.substring(0,3) === "GX1" ) { errorBeladung("3030 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } } if (myJSON.SON08KF80S === "") { fehlendeSON += 1; } }
			if (myJSON.tbE09KF80S !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE09KF80S) > 0) { if ( myJSON.tbE01KF80S.substring(0,3) === "GW1" ) { errorBeladung("3040 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } if ( myJSON.tbE01KF80S.substring(0,3) === "GX1" ) { errorBeladung("3030 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } } if (myJSON.SON09KF80S === "") { fehlendeSON += 1; } }
			if (myJSON.tbE10KF80S !== "") { eingetrageneTeile += 1; if (helper.looksLikeTXLCode(myJSON.tbE10KF80S) > 0) { if ( myJSON.tbE01KF80S.substring(0,3) === "GW1" ) { errorBeladung("3040 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } if ( myJSON.tbE01KF80S.substring(0,3) === "GX1" ) { errorBeladung("3030 im Kleinen?"); fehlerhafteCodes += 1; falscherTypImOfen = true; } } if (myJSON.SON10KF80S === "") { fehlendeSON += 1; } }
		} else {
			errorBeladung("Fehler beim zusammenstellen der Daten für die Datanbank. Falscher Ofenname?")
		}
	
		if (eingetrageneTeile === 0) { errorBeladung("Eine Leerfahrt?"); }
		if (fehlendeSON > 0) { errorBeladung("Fehlende Schott-Order-Nummern - bitte bereinigen"); }
		if (fehlerhafteCodes > 0 && falscherTypImOfen === false) { errorBeladung("Falscher Code - bitte bereinigen ( falscher Typ im Ofen)"); }
		if ( DEBUGmany ) { console.log("ofensachen.js->insertBeladung() Statistik:\n" + 
								"teile:" + eingetrageneTeile + "\n" +
								"fehlSON:" + fehlendeSON + "\n" +
								"fehlCodes:" + fehlerhafteCodes
								);}
		if (fehlendeSON === 0 && fehlerhafteCodes === 0 && eingetrageneTeile > 0) {
			DB.insertBeladung(myJSON);
			rVal = 0;
			console.log(JSON.stringify(myJSON));
		}
		return rVal;
	}


// region KF480
 /***
 *     +-+-+-+-+-+
 *     |K|F|4|8|0|
 *     +-+-+-+-+-+
 */
	$("body").on("click", "#btnShowMoreEbenenKF480", function () {
		$("tr#e11").show();
		$("tr#e12").show();
		$("tr#e13").show();
		$("tr#e14").show();
		$("tr#e15").show();
		$("tr#e16").show();
		$("tr#e17").show();
		$("tr#e18").show();
		$("tr#e19").show();
		$("tr#e20").show();
		$("#btnShowLessEbenenKF480").attr("style", "display: inline-block");
		$("#btnShowMoreEbenenKF480").attr("style", "display: none");
	});

	$("body").on("click", "#btnShowLessEbenenKF480", function () {
		$("tr#e11").hide();
		$("tr#e12").hide();
		$("tr#e13").hide();
		$("tr#e14").hide();
		$("tr#e15").hide();
		$("tr#e16").hide();
		$("tr#e17").hide();
		$("tr#e18").hide();
		$("tr#e19").hide();
		$("tr#e20").hide();
		$("#btnShowLessEbenenKF480").attr("style", "display: none");
		$("#btnShowMoreEbenenKF480").attr("style", "display: inline-block");
	});

	$("body").on("click", "#btnLoadLetzteBeladungKF480", function () { 
		eingetragen = insertIntoForm(DB.loadLetzteBeladung("KF480"), "KF480");
		console.log(eingetragen + " Bauteil(e) aus der DB geholt - KF480");
		ColorInputs();
		if ( eingetragen >= 11 ) { $("#btnShowMoreEbenenKF480").trigger("click");	} // wenn mehr als 10 Teile beladen waren, die Ebenen auch anzeigen
	});

	$("body").on("click", "#btnInsertBeladungKF480", function () {
		var val = insertBeladung("KF480");
		if (val === 0) {resetBeladeform();}
	});
// end region

// region KF80
 /***
 *     +-+-+-+-+
 *     |K|F|8|0|
 *     +-+-+-+-+
 */

	$("body").on("click", "#btnLoadLetzteBeladungKF80", function () { 
		eingetragen = insertIntoForm(DB.loadLetzteBeladung("KF80"), "KF80");
		console.log(eingetragen + " Bauteile aus der DB geholt - KF80");
		ColorInputs();
		if ( eingetragen >= 11 ) {} // mehr als 10?!
	});

	$("body").on("click", "#btnInsertBeladungKF80", function () {
		var val = insertBeladung("KF80");
		if (val === 0) {resetBeladeform();}
	});
// end region

// region KF80S
 /***
 *     +-+-+-+-+-+
 *     |K|F|8|0|S|
 *     +-+-+-+-+-+
 */
	$("body").on("click", "#btnLoadLetzteBeladungKF80S", function () { 
		eingetragen = insertIntoForm(DB.loadLetzteBeladung("KF80S"), "KF80S");
		console.log(eingetragen + " Bauteile aus der DB geholt - KF80S");
		ColorInputs();
		if ( eingetragen >= 11 ) {} // mehr als 10?!
	});

	$("body").on("click", "#btnInsertBeladungKF80S", function () {
		var val = insertBeladung("KF80S");
		if (val === 0) {resetBeladeform();}
	});
// end region

// region helferlein
 
 function resetBeladeform() {
		$('#frmOfenbeladung').trigger("reset");
		$('#beladedatum').val(heute());
		$('#beladezeit').val(jetzt());
		resetColorInputs();
 }

 /**
  *
  * Faerbt die Inputfelder nach Ihren Bauteil-Typ ein
  *
  **/
	function ColorInputs() {
 		$("form#frmOfenbeladung :input[type=text]").each(function(){
 			foo = $(this); foo = foo[0];
 			if (foo.value !== "" && foo.className === "tbTXLCode" ) { checkInputs(foo); }
			if (fehlerhafteInputfelder.length === 0 ) { activeateInsertBtn(); }
		});
	}

	function resetColorInputs() {
	 	$("form#frmOfenbeladung :input[type=text]").each(function(){
			var actInput = $(this);
			actInput[0].style.color = "";
			actInput[0].style.backgroundColor = "";
		});
	}

	function updateFehlerhafteInputfelder (fieldName) {
    if (fehlerhafteInputfelder.indexOf(fieldName) === -1) {
        fehlerhafteInputfelder.push(fieldName);
        console.log('fehlerhafteInputfelder beinhaltet nun: ' + fehlerhafteInputfelder);
    } else {
        console.log(fieldName + ' ist schon vorhanden');
    }
	}
	function removeFehlerhaftesInputfeld(fieldName) {
		var idx = fehlerhafteInputfelder.indexOf(fieldName);
		if ( idx > -1) {
        fehlerhafteInputfelder.splice(idx ,1);
        console.log(idx + ':' + fieldName + ' | fehlerhafteInputfelder beinhaltet nun: ' + fehlerhafteInputfelder);
    } else {
        console.log(fieldName + ' ist nicht vorhanden');
    }	
	}

 /**
 	*
 	* Faerbt die Inputfelder nach Ihren Bauteil-Typ ein
 	*
 	**/
	function colorTB(tmptype, field, state){
		if ( tmptype === "3040" && state === 1) {
			field.style.backgroundColor = "#2525FF";
			field.style.color = "#00F5F5";
		} else if ( tmptype === "3030" && state === 1) {
			field.style.backgroundColor = "#CCCCCC";
			field.style.color = "#212121";
		} else if ( tmptype === "2121" && state === 1) {
			field.style.backgroundColor = "#300E0E";
			field.style.color = "#A5A5A5";
		} else if ( tmptype === "all" && state === 0) {
			field.style.backgroundColor = "#FF2525";
			field.style.color = "#0000F5";
		} else {
			field.value = "(" + field.value + ")"
		}
	}

	function checkInputs(actInput) {
		var fieldName = actInput.id;
		var tmptype = actInput.value.substring(0,3);
		var	bauteilStatus = DB.getBauteilStatus(actInput.value);
		if ( DEBUGmany ) {console.log("check '" + actInput.id + "' mit den Inhalt: '" + actInput.value + "'"); }
		if ( bauteilStatus <= 1 ) {
			errorBeladung("Bauteil schon vorhanden.\nBauteilstatus: " + bauteilStatus);
			updateFehlerhafteInputfelder(fieldName);
			deactiveateInsertBtn();
			colorTB("all", actInput, 0);
		} else  if ( tmptype === "GW1" && bauteilStatus === 2) {
			// schauen, ob das Input-Feld in dem Array fuer fehlerhafte Teile steht
			if ( fehlerhafteInputfelder.includes(fieldName) ) {
				// und wenn dem so ist, das element wieder daraus entfernen
				removeFehlerhaftesInputfeld(fieldName);
			}
			colorTB("3040", actInput, 1);
		} else if ( tmptype === "GA1" && bauteilStatus === 2) {
			if ( fehlerhafteInputfelder.includes(fieldName) ) {
				removeFehlerhaftesInputfeld(fieldName);
			}
			colorTB("2121", actInput, 1);
		} else if ( tmptype === "GX1" && bauteilStatus === 2) {
			if ( fehlerhafteInputfelder.includes(fieldName) ) {
				removeFehlerhaftesInputfeld(fieldName);
			}
			colorTB("3030", actInput, 1);
		}
	}

// end region



//region Herzstück

	/*  VERALTETE DOKU! Prinzip noch das gleiche, nur weiter funktionalisiert
	*
 	* Wenn ein Input-Feld im Formular "frmOfenbeladung" den Fokus verliert,
 	* wird geschaut mit welchen drei Zeichen der Text in dem Feld beginnt und danach entschieden,
 	* welche Farbe das Input-Feld bekommt.
 	*
 	* desweiteren wird, wenn es einen Fehler beim eingeben des TXLCodes gab, der Name des
 	* Input-Elements in ein Array geschrieben und der Button/das Div fuers eintragen
 	* der aktuellen Beladung ausgeblendet.
 	* Erst wenn das Array wieder leer ist, wir der Button/das Div wieder freigegeben/angezeigt
 	*
 	**/
	$("body").on("focusout", "#frmOfenbeladung", function(ele) {
		if (ele.target.value !== "" && ele.target.className === "tbTXLCode" ) { checkInputs(ele.target); }
		if (fehlerhafteInputfelder.length === 0 ) { activeateInsertBtn(); }
	});

// end region

	function deactiveateInsertBtn(){
		$('#btnInsertBeladungKF480').removeClass().addClass("mybtn invisible");
		$('#btnInsertBeladungKF80').removeClass().addClass("mybtn invisible");
		$('#btnInsertBeladungKF80S').removeClass().addClass("mybtn invisible");
	}
	function activeateInsertBtn(){
		$('#btnInsertBeladungKF480').removeClass().addClass("mybtn");
		$('#btnInsertBeladungKF80').removeClass().addClass("mybtn");
		$('#btnInsertBeladungKF80S').removeClass().addClass("mybtn");
	}


	if ( VERBOSE ) { console.log("ofensachen.js loaded ..."); }
}); // end $(document).ready 
